Loading...
Searching...
No Matches
Dune::Functions::Concept::BasisNode Struct Reference

`#include <dune/functions/functionspacebases/concepts.hh>`

## Public Member Functions

template<class N>
auto | require (const N &node) -> decltype(requireType< typename N::size_type >(), requireConvertible< typename N::size_type >(node.size()), requireConvertible< typename N::size_type >(node.localIndex(std::declval< typename N::size_type >())), requireConvertible< typename N::size_type >(node.treeIndex()), requireBaseOf< BasisNodeMixin, N >())

## Member Function Documentation

## require()

template<class N>

auto Dune::Functions::Concept::BasisNode::require | ( | const N & | node | ) | ->decltype(requireType< typenameN::size_type >(), requireConvertible< typenameN::size_type >(node.size()), requireConvertible< typenameN::size_type >(node.localIndex(std::declval< typenameN::size_type >())), requireConvertible< typenameN::size_type >(node.treeIndex()), requireBaseOf< BasisNodeMixin, N >())

The documentation for this struct was generated from the following file:

- functionspacebases/concepts.hh